Subject: bug#33757: 27.0.50; dired-du-mode displays incorrect human readable file sizes for non-GNU systems

From: Matthew Newton <[email-masked]>
Date: Sat, 15 Dec 2018 10:13:33 -0800

Hmm, right you are. I forgot that I had GNU core utils installed on my Mac.

I suggest two things:
1. Look for gdu in path and use that if possible.
2. Add something like `dired-du-used-space-units` to indicate whether file sizes are stored in bytes, kilobytes, whatever. Then modify `dired-du-count-sizes` to multiply appropriately.

I can submit a patch if you think that’s the way to go.

By the way, I just want to verify: Is this the right place to submit a bug report for dired-du?